# Uses of Class
com.google.protobuf.Enum

Packages that use Enum
Package
Description
com.google.protobuf

## Uses of Enum in com.google.protobuf

Methods in com.google.protobuf that return Enum
Modifier and Type
Method
Description
`Enum`
Enum.Builder.`build()`
`Enum`
Enum.Builder.`buildPartial()`
`static Enum`
Enum.`getDefaultInstance()`
`Enum`
Enum.Builder.`getDefaultInstanceForType()`
`Enum`
Enum.`getDefaultInstanceForType()`
`static Enum`
Enum.`parseDelimitedFrom(InputStream input)`
`static Enum`
Enum.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Enum`
Enum.`parseFrom(byte[] data)`
`static Enum`
Enum.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Enum`
Enum.`parseFrom(ByteString data)`
`static Enum`
Enum.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Enum`
Enum.`parseFrom(CodedInputStream input)`
`static Enum`
Enum.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Enum`
Enum.`parseFrom(InputStream input)`
`static Enum`
Enum.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Enum`
Enum.`parseFrom(ByteBuffer data)`
`static Enum`
Enum.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Enum
Modifier and Type
Method
Description
`Parser<Enum>`
Enum.`getParserForType()`
`static Parser<Enum>`
Enum.`parser()`
Methods in com.google.protobuf with parameters of type Enum
Modifier and Type
Method
Description
`Enum.Builder`
Enum.Builder.`mergeFrom(Enum other)`
`static Enum.Builder`
Enum.`newBuilder(Enum prototype)`